LibreOffice: ImageControl Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | List of all members
ImageControl Service Referencepublished

describes a control used for displaying images stored in a database. More...

Inheritance diagram for ImageControl:

## Included Services
service | com::sun::star::awt::UnoControlImageControl
Included Services inherited from UnoControlImageControl
service | com::sun::star::awt::UnoControl

## Exported Interfaces
interface | com::sun::star::form::XBoundControl
Exported Interfaces inherited from UnoControlImageControl
interface | com::sun::star::awt::XLayoutConstrains
Exported Interfaces inherited from UnoControl
interface | com::sun::star::lang::XComponent
interface | com::sun::star::awt::XControl
interface | com::sun::star::awt::XWindow
interface | com::sun::star::awt::XView
interface | com::sun::star::accessibility::XAccessible
| provides access to the accessible context associated with this object.

## Additional Inherited Members
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XControl
void | setContext ([in] com::sun::star::uno::XInterface Context)
| sets the context of the control.
com::sun::star::uno::XInterface | getContext ()
| gets the context of the control.
void | createPeer ([in] com::sun::star::awt::XToolkit Toolkit, [in] com::sun::star::awt::XWindowPeer Parent)
| creates a "child" window on the screen.
com::sun::star::awt::XWindowPeer | getPeer ()
| returns the peer which was previously created or set.
boolean | setModel ([in] com::sun::star::awt::XControlModel Model)
| sets a model for the control.
com::sun::star::awt::XControlModel | getModel ()
| returns the model for this control.
com::sun::star::awt::XView | getView ()
| returns the view of this control.
void | setDesignMode ([in] boolean bOn)
| sets the design mode for use in a design editor.
boolean | isDesignMode ()
| returns `TRUE` if the control is in design mode, `FALSE` otherwise.
boolean | isTransparent ()
| returns `TRUE` if the control is transparent, `FALSE` otherwise.
Public Member Functions inherited from XWindow
void | setPosSize ([in] long X, [in] long Y, [in] long Width, [in] long Height, [in] short Flags)
| sets the outer bounds of the window.
com::sun::star::awt::Rectangle | getPosSize ()
| returns the outer bounds of the window.
void | setVisible ([in] boolean Visible)
| shows or hides the window depending on the parameter.
void | setEnable ([in] boolean Enable)
| enables or disables the window depending on the parameter.
void | setFocus ()
| sets the focus to the window.
void | addWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| adds a window listener to the object.
void | removeWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| removes the specified window listener from the listener list.
void | addFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| adds a focus listener to the object.
void | removeFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| removes the specified focus listener from the listener list.
void | addKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| adds a key listener to the object.
void | removeKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| removes the specified key listener from the listener list.
void | addMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| adds a mouse listener to the object.
void | removeMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| removes the specified mouse listener from the listener list.
void | addMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| adds a mouse motion listener to the object.
void | removeMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| removes the specified mouse motion listener from the listener list.
void | addPaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| adds a paint listener to the object.
void | removePaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| removes the specified paint listener from the listener list.
Public Member Functions inherited from XView
boolean | setGraphics ([in] com::sun::star::awt::XGraphics aDevice)
| sets the output device.
com::sun::star::awt::XGraphics | getGraphics ()
| returns the output device which was set using the method XView::setGraphics().
com::sun::star::awt::Size | getSize ()
| returns the size of the object in device units.
void | draw ([in] long nX, [in] long nY)
| draws the object at the specified position.
void | setZoom ([in] float fZoomX, [in] float fZoomY)
| sets the zoom factor.
Public Member Functions inherited from XLayoutConstrains
com::sun::star::awt::Size | getMinimumSize ()
| returns the minimum size for this component.
com::sun::star::awt::Size | getPreferredSize ()
| returns the preferred size for this component.
com::sun::star::awt::Size | calcAdjustedSize ([in] com::sun::star::awt::Size aNewSize)
| calculates the adjusted size for a given maximum size.
Public Member Functions inherited from XBoundControl
boolean | getLock ()
| determines whether the input is currently locked or not.
void | setLock ([in] boolean bLock)
| is used for altering the current lock state of the component.
Protected Member Functions inherited from XAccessible
XAccessibleContext | getAccessibleContext ()
| Returns the AccessibleContext associated with this object.

## Detailed Description

describes a control used for displaying images stored in a database.

The model of the control has to support the com::sun::star::form::component::DatabaseImageControl service.

If the model of the control is valid bound to a database field, the control allows to select an image (browsing the file system) upon double clicking into it, and forwards the URL of the chosen image to the ImageURL property of its model.

See also
  com::sun::star::awt::UnoControl
  com::sun::star::awt::UnoControlModel

## Exported Interfaces

## ◆ com::sun::star::awt::UnoControlImageControl

service com::sun::star::awt::UnoControlImageControl

## Exported Interfaces

## ◆ com::sun::star::form::XBoundControl

interface com::sun::star::form::XBoundControl

The documentation for this service was generated from the following file:

- com/sun/star/form/control/ImageControl.idl